Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.expr
Class TokenType

    java.lang.Object
      com.servingxml.expr.TokenType

    public class TokenType

extends java.lang.Object

Field Summary
`static int` | `AT`
`static int` | `COLON`
`static int` | `DOLLAR`
`static int` | `DOT`
`static int` | `EOF`
`static int` | `EQUAL`
`static int` | `GE`
`static int` | `GT`
`static int` | `LE`
`static int` | `LEFT_PARENTHESIS`
`static int` | `LEFT_SQUARE`
`static int` | `LT`
`static int` | `NAME`
`static int` | `NE`
`static int` | `NUMBER`
`static int` | `RIGHT_PARENTHESIS`
`static int` | `RIGHT_SQUARE`
`static int` | `SLASH`
`static int` | `STAR`
`static int` | `STRING_LITERAL`
`static int` | `UNKNOWN`

Constructor Summary
`TokenType()`

Method Summary
`static java.lang.String` | `getLabel(int tokenType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### SLASH

    public static final int SLASH

See Also:
  Constant Field Values

### DOT

    public static final int DOT

See Also:
  Constant Field Values

### AT

    public static final int AT

See Also:
  Constant Field Values

### DOLLAR

    public static final int DOLLAR

See Also:
  Constant Field Values

### NAME

    public static final int NAME

See Also:
  Constant Field Values

### EQUAL

    public static final int EQUAL

See Also:
  Constant Field Values

### NE

    public static final int NE

See Also:
  Constant Field Values

### LT

    public static final int LT

See Also:
  Constant Field Values

### LE

    public static final int LE

See Also:
  Constant Field Values

### GT

    public static final int GT

See Also:
  Constant Field Values

### GE

    public static final int GE

See Also:
  Constant Field Values

### COLON

    public static final int COLON

See Also:
  Constant Field Values

### LEFT_SQUARE

    public static final int LEFT_SQUARE

See Also:
  Constant Field Values

### RIGHT_SQUARE

    public static final int RIGHT_SQUARE

See Also:
  Constant Field Values

### NUMBER

    public static final int NUMBER

See Also:
  Constant Field Values

### STRING_LITERAL

    public static final int STRING_LITERAL

See Also:
  Constant Field Values

### LEFT_PARENTHESIS

    public static final int LEFT_PARENTHESIS

See Also:
  Constant Field Values

### RIGHT_PARENTHESIS

    public static final int RIGHT_PARENTHESIS

See Also:
  Constant Field Values

### STAR

    public static final int STAR

See Also:
  Constant Field Values

Constructor Detail

### TokenType

    public TokenType()

Method Detail

### getLabel

    public static java.lang.String getLabel(int tokenType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD